﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.JudicialManagement
{
    /// <summary>
    /// 行政执法活动投诉事项类型
    /// </summary>
    [Description("行政执法活动投诉事项类型")]
    public class JudicialComplaintsEventType : CreationEntity
    {
        /// <summary>
        /// 名称
        /// </summary>
        public string EventTypeName { get; set; }

        /// <summary>
        /// 上级ID
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string? ParentId { get; set; }

        /// <summary>
        /// 全称
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string EventTypeFullName { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int OrderBy { get; set; }
    }
}
